#version 330 core

in float ti;
in vec2 texCoords;

out vec4 color;

uniform sampler2D t1;
uniform sampler2D t2;
uniform sampler2D t3;

void main()
{
	vec4 c;
	if(ti==0.0){
		c = texture(t1, texCoords);
	}else if(ti==1.0){
		c = texture(t2, texCoords);
	}else{
		c = texture(t3, texCoords); 
	}
	//c=vec4(0.5*texIndex, 0.5*texIndex, 0.5*texIndex, 1);
	color = c;
}